import { createRouter } from 'vue-router'
import * as vueRouter from 'vue-router'
import navStore from '../store/nav.js'
import generatedRoutes from '~pages'
import { setupLayouts } from 'layouts-generated'

// 导出路由
const routes = setupLayouts(generatedRoutes)
const router = createRouter({
  history: vueRouter.createWebHistory(),
  routes
})

router.beforeEach((to, from, next) => {
  if (to.path !== '/login') {
    const nav = navStore()
    nav.updateMenu(to)
  }
  if (to.matched.length) {
    next()
  } else {
    next('/404')
  }
})

export default router
